Jump to content

Archived

This topic is now archived and is closed to further replies.

Marchalt

.Net Framework 3.5 Sp1 - problem z instalacją!

Recommended Posts

Witam serdecznie :biggrin:

Rano ściągnąłem grę The Hunter. Oczywiście nie mogło obyć się bez problemu - wyskoczył mi komunikat, że muszę uaktialnić .Net Framework do najnowszej wersji. No więc pobieram instalkę, oraz (!) odinstalowuję starą wersję za pomocą programu Revo Unistaller, usuwając przy tym wszystkie związane z nim wpisy w rejestrze (podejrzewam, że to może być przyczyną problemu, niestety usuwanie "wszystkiego", to u mnie odruch bezwarunkowy). Oczywiście instalator najnowszej wersji wywalił błąd. Ściągnąłem kolejny - nie działa. Ściągnąłem wersję "Full" - też nie działa. Ściągnąłem starszą wersję - NIE DZIAŁA! Komunikat, to że proces instalacji się nie powiódł, i wszystkie pliki zostaną odinstalowane. Jakby to pomogło, to macie tutaj komunikat z dziennika błędów:

[08/15/09,16:24:43] Microsoft .NET Framework 3.5 'package': [2] Failed to fetch setup file in CBaseComponent::PreInstall()

[08/15/09,16:24:43] setup.exe: [2] ISetupComponent::Pre/Post/Install() failed in ISetupManager::InternalInstallManager() with HRESULT -2147467260.

[08/15/09,16:24:43] setup.exe: [2] CSetupManager::RunInstallPhase() - Call to Pre/Install/Post for InstallComponents failed

[08/15/09,16:24:43] setup.exe: [2] CSetupManager::RunInstallPhaseAndCheckResults() - RunInstallPhase() returned a NULL piActionResults

[08/15/09,16:24:43] setup.exe: [2] CSetupManager::RunInstallFromList() - RunInstallPhaseAndCheckResults failed [2]

[08/15/09,16:24:43] setup.exe: [2] ISetupManager::RunInstallLists(IP_PREINSTALL failed in ISetupManager::RunInstallFromThread()

[08/15/09,16:24:43] setup.exe: [2] ISetupManager::RunInstallFromThread() failed in ISetupManager::RunInstall()

[08/15/09,16:24:43] setup.exe: [2] CSetupManager::Run() - Call to RunInstall() failed

[08/15/09,16:24:44] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.5 'package' is not installed.

[08/15/09,16:24:44] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.5LP - PLK was not attempted to be installed.

[08/15/09,16:26:07] Microsoft .NET Framework 3.5 'package': [2] Failed to fetch setup file in CBaseComponent::PreInstall()

[08/15/09,16:26:07] setup.exe: [2] ISetupComponent::Pre/Post/Install() failed in ISetupManager::InternalInstallManager() with HRESULT -2147467260.

[08/15/09,16:26:07] setup.exe: [2] CSetupManager::RunInstallPhase() - Call to Pre/Install/Post for InstallComponents failed

[08/15/09,16:26:07] setup.exe: [2] CSetupManager::RunInstallPhaseAndCheckResults() - RunInstallPhase() returned a NULL piActionResults

[08/15/09,16:26:08] setup.exe: [2] CSetupManager::RunInstallFromList() - RunInstallPhaseAndCheckResults failed [2]

[08/15/09,16:26:08] setup.exe: [2] ISetupManager::RunInstallLists(IP_PREINSTALL failed in ISetupManager::RunInstallFromThread()

[08/15/09,16:26:08] setup.exe: [2] ISetupManager::RunInstallFromThread() failed in ISetupManager::RunInstall()

[08/15/09,16:26:08] setup.exe: [2] CSetupManager::Run() - Call to RunInstall() failed

[08/15/09,16:26:08] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.5 'package' is not installed.

[08/15/09,16:26:08] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.5LP - PLK was not attempted to be installed.

[08/15/09,16:49:13] WapUI: [2] DepCheck indicates Optional Component 'Microsoft .Net Framework 3.0' is not installed.

[08/15/09,16:50:35] WapUI: [2] DepCheck indicates Optional Component 'Microsoft .Net Framework 3.0' was not attempted to be installed.

[08/15/09,16:50:35] WapUI: [2] DepCheck indicates Microsoft .NET Framework 2.0SP1 (CBS) was not attempted to be installed.

[08/15/09,16:50:35] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.0SP1 (CBS) was not attempted to be installed.

[08/15/09,16:50:35] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.5 'package' was not attempted to be installed.

[08/15/09,16:50:35] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.5LP - PLK was not attempted to be installed.

[08/15/09,19:57:37] WapUI: [2] DepCheck indicates Optional Component 'Microsoft .Net Framework 3.0' is not installed.

[08/15/09,21:04:53] WapUI: [2] DepCheck indicates Optional Component 'Microsoft .Net Framework 3.0' is not installed.

Ja tam nawet tego nie czytam, bo i tak nic nie zrozumiem... Da się coś na to poradzić?

Link to comment
Share on other sites



  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...